D-Bus 1.14.10

Data Fields
DBusDataSlotAllocator Struct Reference

An allocator that tracks a set of slot IDs. More...

`#include <dbus-dataslot.h>`

## Data Fields
DBusAllocatedSlot * | allocated_slots
| Allocated slots.
int | n_allocated_slots
| number of slots malloc'd
int | n_used_slots
| number of slots used
DBusGlobalLock | lock
| index of thread lock

## Detailed Description

An allocator that tracks a set of slot IDs.

Definition at line 55 of file dbus-dataslot.h.

## Field Documentation

## ◆ allocated_slots

DBusAllocatedSlot* DBusDataSlotAllocator::allocated_slots

Allocated slots.

Definition at line 57 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_allocator_alloc(), _dbus_data_slot_allocator_free(), _dbus_data_slot_allocator_init(), _dbus_data_slot_list_get(), and _dbus_data_slot_list_set().

## ◆ lock

DBusGlobalLock DBusDataSlotAllocator::lock

index of thread lock

Definition at line 60 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_allocator_alloc(), _dbus_data_slot_allocator_free(), _dbus_data_slot_allocator_init(), _dbus_data_slot_list_get(), and _dbus_data_slot_list_set().

## ◆ n_allocated_slots

int DBusDataSlotAllocator::n_allocated_slots

number of slots malloc'd

Definition at line 58 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_allocator_alloc(), _dbus_data_slot_allocator_free(), and _dbus_data_slot_allocator_init().

## ◆ n_used_slots

int DBusDataSlotAllocator::n_used_slots

number of slots used

Definition at line 59 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_allocator_alloc(), _dbus_data_slot_allocator_free(), and _dbus_data_slot_allocator_init().

The documentation for this struct was generated from the following file:

- dbus-dataslot.h